> ## Documentation Index
> Fetch the complete documentation index at: https://insightsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Loads a dashboard (requires READ permission to the dashboard)



## OpenAPI

````yaml /simba-embedded-analytics/docs/self-service-analytics/26.3/api-swagger/ssa-api-docs-26-3.json get /api/dashboards/{id}
openapi: 3.1.0
info:
  title: Logi Composer Rest API
  description: >-
    The Composer REST API provides methods for retrieving, updating, and
    deleting Composer metadata. With the API endpoints, you can manage
    connections, data sources, accounts, groups, and users quickly and easily.


    ## Authentication


    This API supports the following authentication schemes:


    - **basicAuth** – HTTP Basic authentication using global administrator
    credentials (username and password). Required for most endpoints.

    - **trustedAccessAuth** – HTTP Basic authentication using Trusted Access
    client credentials. Use the **client ID** as the username and the **client
    secret** as the password. Required for Trusted Access token and session
    endpoints.

    - **bearerAuth** – HTTP Bearer token authentication. Supply a token
    previously obtained from a Trusted Access token endpoint
    (`/api/trusted-access/push/tokens` or `/api/trusted-access/pull/tokens`).
  contact:
    name: Logi Support
    url: https://help.insightsoftware.com
    email: logisupport@insightsoftware.com
  version: '1.0'
servers:
  - url: http://10.2.4.166:8080/composer
    description: Generated server url
security:
  - basicAuth: []
tags:
  - name: account-attributes
    description: Reserved Account attributes configuration
  - name: accounts
    description: Manage Accounts
  - name: accounts / admins
    description: Manage Account Administrators
  - name: accounts / users
    description: Manage Account Users
  - name: actions
    description: Manage Action Templates
  - name: activity
    description: Manages Activity Logging
  - name: alerts
    description: Manage Alerts
  - name: branding
    description: Manage branding configuration
  - name: branding-extentions
    description: Manage branding extensions (chart colors, etc.)
  - name: calendars
    description: (experimental) Manage calendars
  - name: comments
    description: Dashboard comments
  - name: connection-types
    description: Manage Connection Types
  - name: connections
    description: Manage Source Connections
  - name: connectors
    description: Manage Connectors
  - name: conversations
    description: Manage Workspace Conversations
  - name: customization
    description: Manage customization configuration
  - name: dashboard-conversion
    description: (experimental) Convert dashboards layout
  - name: dashboard-migration
    description: New Dashboards Migration API
  - name: dashboard-reports
    description: Manage Dashboard Reports
  - name: dashboard-sharing
    description: (experimental) Manage dashboard access level
  - name: dashboards
    description: Manage Dashboards
  - name: export
    description: Export Source Data
  - name: favorites
    description: Favorite Items
  - name: filter-sets
    description: Filter Visualizations Data
  - name: folders
    description: Manage folders
  - name: frontend / environment variables
    description: Get environment variables for frontend
  - name: global
    description: Manage global security configuration
  - name: group-membership
    description: Manages Group Membership
  - name: groups
    description: Manage User Groups
  - name: interactivity
    description: Dashboard interactivity
  - name: inventory
    description: Manage Composer Items
  - name: jobs
    description: List of available scheduler jobs
  - name: joins
    description: Manage joins metadata and suggestions
  - name: json-datasets
    description: Manage JSON datasets
  - name: kerberos
    description: Manage Kerberos Config
  - name: keyset
    description: Manage keysets
  - name: ldap
    description: Manage LDAP Configuration
  - name: license
    description: Manage Composer License
  - name: locale, currency, language
    description: Locale, currency, and language info
  - name: materialized-view
    description: (deprecated since 23.1) Manage Materialized Views
  - name: odata
    description: (experimental) Source Data Retrieval OData service
  - name: password-reset
    description: Self-service forgot-password flow
  - name: permissions
    description: Manage Permissions
  - name: Publish
    description: Publish Workspace Artifacts
  - name: quota
    description: Manage Quotas
  - name: recentlyAccessed
    description: Recently Accessed Elements
  - name: register
    description: User registration
  - name: saml
    description: Manage SAML
  - name: security
    description: Retrieve all sids info
  - name: self-service-reports
    description: Self Service Reports
  - name: sharing
    description: (experimental) Manage dashboard sharing
  - name: snapshots
    description: Create and manage entity snapshots
  - name: snippets
    description: (experimental) Manage snippets
  - name: sources
    description: Manage Sources
  - name: sources / cache-settings
    description: Manages sources cache settings
  - name: sources / custom-metrics
    description: Manage Source Custom Metrics
  - name: sources / dictionaries
    description: Manage Source Dictionaries
  - name: sources / fields
    description: Manage Source Fields
  - name: sources / global-settings
    description: Manages sources global settings
  - name: sources / migration
    description: Source Migration API
  - name: sources / preview and describe
    description: Source preview and describe
  - name: sources / raw data
    description: (experimental) Get source raw data
  - name: sources / security
    description: Manage Sources Security
  - name: sources / security / custom metrics
    description: (experimental) Manage Sources Custom Metric Security
  - name: sources / security / fields
    description: Manage Sources Fields Security
  - name: sources / security / row
    description: Manage Sources Row Security
  - name: sources / unique-key
    description: Manages sources unique key
  - name: sources / visual-types
    description: Manages source visual types
  - name: start-vis
    description: (experimental) Execute start-vis or meta request
  - name: stream
    description: Search stream sources
  - name: tags
    description: Manage tags
  - name: timezones
    description: Timezone Information
  - name: toggle
    description: Toggle Features
  - name: topics
    description: Manage topics
  - name: trusted-access-client
    description: Manage Trusted Access clients
  - name: trusted-access-session
    description: Manage user sessions via Trusted Access
  - name: trusted-access-token
    description: Manage Trusted Access tokens
  - name: uploads
    description: Manage Uploads
  - name: user
    description: Manage User
  - name: users
    description: Manage Users
  - name: users segregation
    description: Segregate users into tenants
  - name: version
    description: System version
  - name: visual-types
    description: Manage Visual Types
  - name: visuals
    description: Manage Visuals
  - name: visuals / migration
    description: New Visuals Migration API
  - name: workspaces
    description: Manage Workspaces
paths:
  /api/dashboards/{id}:
    get:
      tags:
        - dashboards
      summary: Loads a dashboard (requires READ permission to the dashboard)
      operationId: get_9
      parameters:
        - name: id
          in: path
          description: Defines a dashboard identifier
          required: true
          schema:
            type: string
        - name: interactivityProfile
          in: query
          description: (experimental) Dashboard interactivity profile name
          required: false
          schema:
            type: string
      responses:
        '200':
          description: The dashboard was retrieved successfully
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/DashboardResource'
        '401':
          description: The user must be logged in
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ServletErrorMessage'
        '403':
          description: The user doesn't have privilege to do the operation
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: The dashboard was not found
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    DashboardResource:
      type: object
      description: Defines a dashboard payload
      properties:
        id:
          type: string
          description: Defines a dashboard identifier
          readOnly: true
        name:
          type: string
          description: Defines a dashboard name
          maxLength: 255
          minLength: 0
        description:
          type: string
          description: Defines a dashboard description
        layout:
          type: string
          description: Defines a dashboard layout
        dashboardLayout:
          type: object
          additionalProperties: {}
          description: (experimental) Defines a responsive dashboard layout
        icon:
          type: string
          description: Defines a dashboard icon
        showDescription:
          type: boolean
          description: Enables dashboard description in order to show
        isReportDashboard:
          type: boolean
          description: Defines whether dashboard is of type report
        unifiedBarCfgs:
          type: array
          description: Defines unified controls configuration of a dashboard
          items:
            $ref: '#/components/schemas/UnifiedControlsCfg'
          uniqueItems: true
        selectedWidgetId:
          type: string
          description: Defines an identifier of the selected widget
        fieldLinks:
          type: array
          description: Defines field links
          items:
            $ref: '#/components/schemas/FieldLinkResource'
        rowFilters:
          type: array
          deprecated: true
          description: (deprecated since 7.4, to be removed in 8.x) Defines row filters
          items:
            $ref: '#/components/schemas/RowFilterResource'
        mutedLinks:
          type: array
          description: (experimental) Defines muted links
          items:
            $ref: '#/components/schemas/MutedLinkResource'
        creatorName:
          type: string
          description: Defines an dashboard author name
          readOnly: true
        creatorFullName:
          type: string
          description: Defines a dashboard author full name
          readOnly: true
        widgets:
          type: array
          description: Defines widgets
          items:
            $ref: '#/components/schemas/DashboardWidgetResource'
        tags:
          type: array
          description: >-
            Defines tags. Note: Tags are not supported as a sort parameter in
            the pagination API.
          items:
            type: string
          uniqueItems: true
        interactivityProfile:
          $ref: '#/components/schemas/DashboardInteractivityProfileResource'
          description: (experimental) Defines a dashboard interactivity profile
          readOnly: true
        originId:
          type: string
          description: Id of the exported dashboard
        projectId:
          type: string
          description: >-
            Project ID where this dashboard is organized. This field is
            read-only and only.
          example: 2222
          readOnly: true
        folderId:
          type: string
          description: Optional folder ID for organizing the dashboard within a project.
          example: 1111
        reportDetails:
          $ref: '#/components/schemas/SelfServiceReportDetailsResource'
          description: Defines self service report details of the dashboard
        createdByUserID:
          type: string
          description: Defines a dashboard creator's identifier
          readOnly: true
        lastModifiedByUserID:
          type: string
          description: >-
            Defines an identifier of the user who has modified the dashboard
            last
          readOnly: true
        createdDate:
          type: string
          format: date-time
          description: Defines a date of creation of the dashboard
          readOnly: true
        lastModifiedDate:
          type: string
          format: date-time
          description: Defines a date of the last modification of the dashboard
          readOnly: true
      required:
        - name
    ServletErrorMessage:
      type: object
      description: Generic servlet error message
      properties:
        timestamp:
          type: string
          format: date-time
        status:
          type: integer
          format: int32
        error:
          type: string
        message:
          type: string
        path:
          type: string
    ErrorMessage:
      type: object
      description: Generic error message
      properties:
        error:
          type: string
        details:
          type: string
        message:
          type: string
        path:
          type: string
        status:
          type: string
        code:
          type: string
        errorCode:
          type: string
        timestamp:
          type: string
        problems:
          type: array
          items:
            $ref: '#/components/schemas/ProblemResource'
    UnifiedControlsCfg:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        timeControlCfg:
          $ref: '#/components/schemas/TimeControlCfg'
        playerControlCfg:
          $ref: '#/components/schemas/PlayerControlCfg'
        sharpeningCfg:
          $ref: '#/components/schemas/SharpeningCfg'
        widgetIds:
          type: array
          items:
            type: string
          uniqueItems: true
    FieldLinkResource:
      type: object
      description: Field link resource
      properties:
        id:
          type: string
        label:
          type: string
        mappings:
          type: array
          items:
            $ref: '#/components/schemas/FieldLinkMappingResource'
    RowFilterResource:
      type: object
      description: Row filter
      properties:
        sourceId:
          type: string
          description: Ignore for source global settings default visual filters
        path:
          type: string
        form:
          type: string
          deprecated: true
        operation:
          type: string
          enum:
            - EQUALS
            - EQUALSI
            - NOTEQUALS
            - LT
            - LE
            - GT
            - GE
            - IN
            - NOTIN
            - BETWEEN
            - ISNOTNULL
            - ISNULL
            - AND
            - OR
            - TEXT_SEARCH
            - INKEYSET
            - NOTINKEYSET
            - NOT
            - STARTSWITH_CS
            - STARTSWITH_CI
            - STARTSWITH_DS
            - ENDSWITH_CS
            - ENDSWITH_CI
            - ENDSWITH_DS
            - CONTAINS_CS
            - CONTAINS_CI
            - CONTAINS_DS
            - EQUALS_OR_DESCENDANT_OF
            - EXPR
        value: {}
        custom:
          type: object
          additionalProperties: {}
        label:
          type: string
    MutedLinkResource:
      type: object
      description: Muted link resource
      properties:
        targetId:
          type: string
          description: Target id
        widgetId:
          type: string
          description: Widget id
          minLength: 1
        direction:
          type: string
          description: Muting direction
          enum:
            - publish, subscribe
          minLength: 1
        type:
          type: string
          description: Muting type
          enum:
            - crossSource, sameSource
          minLength: 1
      required:
        - direction
        - targetId
        - type
        - widgetId
    DashboardWidgetResource:
      type: object
      description: A representation of a visual on a dashboard
      properties:
        id:
          type: string
          description: Visualization instance id
          maxLength: 40
          minLength: 0
        name:
          type: string
          description: Defines a widget name
        description:
          type: string
          description: Defines a widget description
        header:
          $ref: '#/components/schemas/WidgetHeaderResource'
          description: Defines a widget header
        layout:
          $ref: '#/components/schemas/WidgetLayoutResource'
          description: Defines a widget layout
        position:
          $ref: '#/components/schemas/WidgetPositionResource'
          description: Defines a widget position
        visualId:
          type: string
          deprecated: true
          description: >-
            Deprecated since 8.1. Defines a visual identifier that the widget
            represents
        dashboardLink:
          $ref: '#/components/schemas/DashboardLinkResource'
          description: Defines a dashboard link
        content:
          $ref: '#/components/schemas/WidgetContentResource'
        pickers:
          $ref: '#/components/schemas/WidgetPickersResource'
      required:
        - id
    DashboardInteractivityProfileResource:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
            - SYSTEM
            - DASHBOARD
        overrideVisualInteractivity:
          type: boolean
        settings:
          type: object
          additionalProperties:
            type: string
        visualSettings:
          type: object
          additionalProperties:
            type: string
    SelfServiceReportDetailsResource:
      type: object
      description: A representation of a self service report for dashboard
      properties:
        id:
          type: string
          description: Self Service Report Details instance id
          readOnly: true
        reportType:
          type: string
          description: Defines a Self Service Report type
          enum:
            - RAW_DATA_TABLE
            - GROUP_STRUCTURED_REPORT
          minLength: 1
      required:
        - reportType
    ProblemResource:
      type: object
      properties:
        name:
          type: string
        message:
          type: string
        level:
          type: string
          enum:
            - ERROR
            - WARNING
        dependencies:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ObjectUsageResource'
    TimeControlCfg:
      type: object
      properties:
        timeField:
          type: string
        from:
          type: string
        to:
          type: string
        calendarId:
          type: string
    PlayerControlCfg:
      type: object
      properties:
        timeWindowScale:
          type: string
          enum:
            - PINNED
            - ROLLING
        pauseAfterRead:
          type: boolean
        stopTime:
          type: string
        speed:
          type: integer
          format: int32
    SharpeningCfg:
      type: object
      properties:
        prefer:
          type: boolean
        maxQueries:
          type: integer
          format: int32
    FieldLinkMappingResource:
      type: object
      description: Field link mapping
      properties:
        fieldName:
          type: string
          deprecated: true
        sourceId:
          type: string
        fieldType:
          type: string
    WidgetHeaderResource:
      type: object
      description: Defines widget header
      properties:
        visibility:
          type: string
          enum:
            - VISIBLE
            - HOVER
            - HIDDEN
    WidgetLayoutResource:
      type: object
      description: Defines widget layout
      properties:
        col:
          type: integer
          format: int32
        row:
          type: integer
          format: int32
        rowSpan:
          type: integer
          format: int32
        colSpan:
          type: integer
          format: int32
    WidgetPositionResource:
      type: object
      description: Defines widget header
      properties:
        relativeHeight:
          type: integer
          format: int32
        relativeWidth:
          type: integer
          format: int32
        verticalPosition:
          type: string
        horizontalPosition:
          type: string
    DashboardLinkResource:
      type: object
      description: Defines a dashboard link
      properties:
        dashboardId:
          type: string
          description: Defines a dashboard identifier
          minLength: 1
        inheritFilterCfg:
          type: boolean
          description: Defines a filter config inheritance option
        dashboardName:
          type: string
          description: Defines a dashboard name
          readOnly: true
      required:
        - dashboardId
        - dashboardName
    WidgetContentResource:
      type: object
      description: Defines a widget content
      properties:
        contentType:
          type: string
          description: Defines a type of content that is present inside
          enum:
            - VISUAL
            - SNIPPET
            - REPORT_VISUAL
        visualId:
          type: string
          deprecated: true
        snippetId:
          type: string
      required:
        - contentType
    WidgetPickersResource:
      type: object
      properties:
        hiddenPickers:
          type: array
          items:
            type: string
        visibility:
          type: string
          enum:
            - CUSTOM
            - HIDDEN
            - VISIBLE
    ObjectUsageResource:
      type: object
      properties:
        hasOtherUsages:
          type: boolean
        accessible:
          type: array
          items:
            $ref: '#/components/schemas/AccessibleObjectUsageResource'
    AccessibleObjectUsageResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - SOURCE
            - MATERIALIZED_VIEW
            - KEY_SET
            - VISUAL
            - DASHBOARD
            - IN_DASHBOARD_VISUAL
            - SNIPPET
            - REPORT
            - FILTER_SET
            - DERIVED_FIELD
            - CUSTOM_METRIC
            - FIELD_LINK
            - ROW_SECURITY_FILTER
            - ACTION
            - SOURCE_JOIN
            - HIERARCHY
            - PARTITION
            - GLOBAL_FILTER
            - UNIQUE_KEY
            - TIME_CONTROL
        parent:
          $ref: '#/components/schemas/AccessibleObjectUsageResource'
  securitySchemes:
    basicAuth:
      type: http
      description: >-
        HTTP Basic authentication using global administrator credentials
        (username and password).
      scheme: basic

````